#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# essentially a noarch pkg here, no real -debuginfo needed (RHBZ#1192729)
%define debug_package %{nil}

%define rel 13

Summary:        The Oxygen font family
Name:           oxygen-fonts
Version: 5.4.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:         oxygen-fonts-5.3.95-fix-path.patch

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  fontforge

%description
The Oxygen font family.
A desktop/gui font family for integrated use with the KDE desktop.

%files
%_kf5_datadir/fonts/truetype/oxygen

#--------------------------------------------------------------------

%define devel %mklibname %name -d

%package -n %devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release

%description -n %devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %devel
%_kf5_libdir/cmake/OxygenFont

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install


%changelog
* Thu Dec 17 2020 luigiwalser <luigiwalser> 5.4.3-13.mga8
+ Revision: 1660530
- rebuild for missing signature

* Thu Dec 17 2020 umeabot <umeabot> 5.4.3-12.mga8
+ Revision: 1659224
- Rebuild for new Qt5

* Fri Feb 14 2020 umeabot <umeabot> 5.4.3-11.mga8
+ Revision: 1515744
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 5.4.3-10.mga7
+ Revision: 1300079
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Simplify spec file
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.4.3-2.mga6
+ Revision: 913598
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.4.3-1.mga6
+ Revision: 910702
- Revert to 5.4.3
- New version 5.5.1
- New version 5.5.0
- New version 5.4.95
- Rebuild against fixed qtbase5
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889528
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874740
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869657
- New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863620
- New version 5.3.95

* Mon Aug 03 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 860897
- Add back po files

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850684
- New version 5.3.2

* Sun Dec 21 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804543
- New version 5.1.2

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0.1-3.mga5
+ Revision: 742562
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0.1-2.mga5
+ Revision: 683294
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 0.4.0.1-1.mga5
+ Revision: 663151
- imported package oxygen-fonts

